/*
    (C) 1995-96 AROS - The Amiga Research OS
    $Id: fputs.c,v 1.1.1.1 2005/03/15 15:54:40 laire Exp $

    Desc:
    Lang: english
*/
#include <dos/dosextens.h>
#include "dos_intern.h"
#include <proto/exec.h>

/*****************************************************************************

    NAME */
#include <proto/dos.h>

	AROS_LH2(LONG, FPuts,

/*  SYNOPSIS */
	AROS_LHA(BPTR,   file,   D1),
	AROS_LHA(STRPTR, string, D2),

/*  LOCATION */

	struct DosLibrary *, DOSBase, 57, Dos)

/*  FUNCTION

    INPUTS
	file   - Filehandle to write to.
	string - String to write.

    RESULT
	0 if all went well or EOF in case of an error.
	IoErr() gives additional information in that case.

    NOTES

    EXAMPLE

    BUGS

    SEE ALSO
	FGetC(), IoErr()

    INTERNALS

    HISTORY
	29-10-95    digulla automatically created from
			    dos_lib.fd and clib/dos_protos.h

*****************************************************************************/
{
    AROS_LIBFUNC_INIT
    AROS_LIBBASE_EXT_DECL(struct DosLibrary *,DOSBase)

    FAILFORTASKNP(return EOF;)

    while(*string)
	if(FPutC(file,*string++)<0)
	    return EOF;

    return 0;

    AROS_LIBFUNC_EXIT
} /* FPuts */
